OpenShot Audio Library | OpenShotAudio: juce::Logger Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
juce::Logger Class Referenceabstract

`#include <juce_Logger.h>`

Inheritance diagram for juce::Logger:

## Public Member Functions
virtual | ~Logger ()

## Static Public Member Functions
static void JUCE_CALLTYPE | setCurrentLogger (Logger *newLogger) noexcept
static Logger *JUCE_CALLTYPE | getCurrentLogger () noexcept
static void JUCE_CALLTYPE | writeToLog (const String &message)
static void JUCE_CALLTYPE | outputDebugString (const String &text)

## Protected Member Functions
virtual void | logMessage (const String &message)=0

## Detailed Description

Acts as an application-wide logging class.

A subclass of Logger can be created and passed into the Logger::setCurrentLogger method and this will then be used by all calls to writeToLog.

The logger class also contains methods for writing messages to the debugger's output stream.

See also
  FileLogger

Definition at line 40 of file juce_Logger.h.

## Constructor & Destructor Documentation

## ◆ ~Logger()

juce::Logger::~Logger | ( |  | ) |
| virtual

Destructor.

Definition at line 28 of file juce_Logger.cpp.

## ◆ Logger()

juce::Logger::Logger | ( |  | ) |
| protected

Definition at line 26 of file juce_Logger.cpp.

## Member Function Documentation

## ◆ getCurrentLogger()

Logger * juce::Logger::getCurrentLogger | ( |  | ) |
| staticnoexcept

Returns the current logger, or nullptr if no custom logger has been set.

Definition at line 38 of file juce_Logger.cpp.

## ◆ logMessage()

virtual void juce::Logger::logMessage | ( | const String & | message | ) |
| protectedpure virtual

This is overloaded by subclasses to implement custom logging behaviour.

See also
  setCurrentLogger

Implemented in juce::FileLogger.

Referenced by writeToLog().

## ◆ outputDebugString()

static void JUCE_CALLTYPE juce::Logger::outputDebugString | ( | const String & | text | ) |
| static

Writes a message to the standard error stream.

This can be called directly, or by using the DBG() macro in juce_PlatformDefs.h (which will avoid calling the method in non-debug builds).

Referenced by writeToLog().

## ◆ setCurrentLogger()

void juce::Logger::setCurrentLogger | ( | Logger * | newLogger | ) |
| staticnoexcept

Sets the current logging class to use.

Note that the object passed in will not be owned or deleted by the logger, so the caller must make sure that it is not deleted while still being used. A null pointer can be passed-in to reset the system to the default logger.

Definition at line 37 of file juce_Logger.cpp.

## ◆ writeToLog()

void juce::Logger::writeToLog | ( | const String & | message | ) |
| static

Writes a string to the current logger.

This will pass the string to the logger's logMessage() method if a logger has been set.

See also
  logMessage

Definition at line 40 of file juce_Logger.cpp.

Referenced by juce::UnitTestRunner::logMessage(), juce::PerformanceCounter::printStatistics(), and juce::Thread::stopThread().

The documentation for this class was generated from the following files:

- juce_Logger.h
- juce_Logger.cpp